[CCode (cheader_filename = "gconf/gconf-client.h")]
namespace GConf {
	public class Client : GLib.Object {
		[NoArrayLength ()]
		public static GConf.Client get_default ();
		[NoArrayLength ()]
		public uint notify_add (string namespace_section, GConf.NotifyFunc func, pointer user_data = null, pointer destroy_notify = null, GLib.Error err = null);
		[NoArrayLength ()]
		public string get_string (string key, GLib.Error err = null);
		[NoArrayLength ()]
		public bool get_bool (string key, GLib.Error err = null);
		[NoArrayLength ()]
		public bool set_bool (string key, bool val, GLib.Error err = null);
	}
	
	public struct Value {
		ValueType type;
	}
	
	public struct Entry {
		string key;
		Value value;
	}
	
	[CCode (cprefix = "GCONF_VALUE_")]
	public enum ValueType {
		INVALID,
		STRING,
		INT,
		FLOAT,
		BOOL,
		GSCHEMA,
		LIST,
		PAIR
	}
	
	public callback void NotifyFunc (uint cnxn_id, GConf.Entry entry, pointer user_data);
}
