[CCode (cprefix = "G", lower_case_cprefix = "g_", cheader_filename = "guniqueapp.h")]
namespace GLib {
	public class UniqueApp {
		[NoArrayLength ()]
		public static UniqueApp @get (string name);
		[NoArrayLength ()]
		public static UniqueApp get_with_startup_id (string name, string startup_id);
		[NoArrayLength ()]
		public bool is_running ();
		[NoArrayLength ()]
		[CCode (cname = "gtk_window_set_startup_id")]
		public static void set_window_startup_id (Gtk.Window window, string startup_id); 
		public void new_document ();
		public void open_uri (string uri);
		
		public signal void message (UniqueApp app, UniqueAppCommand command, string data, string startup_id, uint workspace);
	}

	[CCode (cprefix = "G_UNIQUE_APP_")]
	public enum UniqueAppCommand {
		NEW,
		OPEN,
	}
}